## debbugs 2.3-4

=== Makefile ===
# top-level Makefile for debbugs
# probably requires GNU make to run properly

sbin_dir	:= $(DESTDIR)/usr/sbin
etc_dir		:= $(DESTDIR)/etc/debbugs
var_dir		:= $(DESTDIR)/var/lib/debbugs
scripts_dir	:= $(DESTDIR)/usr/lib/debbugs
doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
examples_dir	:= $(doc_dir)/examples

scripts_in	:= $(filter-out scripts/config.in scripts/errorlib.in scripts/text.in, $(wildcard scripts/*.in))
htmls_in	:= $(wildcard html/*.html.in)
cgis		:= $(wildcard cgi/*.cgi cgi/*.pl)

install_exec	:= install -m755 -p
install_data	:= install -m644 -p

install: install_mostfiles
	# install basic debbugs documentation
	$(install_data) COPYING UPGRADE README debian/README.mail $(doc_dir)

	# configure debbugs
	$(sbin_dir)/debbugsconfig

install_mostfiles:
	# create the directories if they aren't there
	for dir in $(sbin_dir) $(etc_dir)/html $(var_dir)/indices \
$(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt $(var_dir)/spool/lock \
$(var_dir)/spool/archive $(var_dir)/spool/incoming $(var_dir)/spool/db \
$(scripts_dir) $(examples_dir); \
          do test -d $$dir || $(install_exec) -d $$dir; done

	# install the scripts
	$(foreach script,$(scripts_in), $(install_exec) $(script) $(scripts_dir)/$(patsubst scripts/%.in,%,$(script));)
	$(install_data) scripts/errorlib.in $(scripts_dir)/errorlib

	# install examples
	$(install_data) scripts/config.in $(examples_dir)/config
	$(install_data) scripts/text.in $(examples_dir)/text
	$(install_data) debian/crontab misc/nextnumber misc/Maintainers \
          misc/pseudo-packages.description $(examples_dir)

	# install the HTML pages etc
	$(foreach html, $(htmls_in), $(install_data) $(html) $(etc_dir)/html;)
	$(install_data) html/lynx-cfg $(etc_dir)/html/lynx-cfg
	$(install_data) html/htaccess $(var_dir)/www/db/.htaccess

	# install the CGIs
	for cgi in $(cgis); do $(install_exec) $$cgi $(var_dir)/www/cgi; done
	$(install_exec) cgi/bugs-fetch2.pl.in $(var_dir)/www/cgi/bugs-fetch2.pl

	# install debbugsconfig
	$(install_exec) debian/debbugsconfig $(sbin_dir)

	# install the updateseqs file
	$(install_data) misc/updateseqs $(var_dir)/spool

## debbugs 2.3-1

=== debian/changelog ===
debbugs (2.3-1) unstable; urgency=low

  * Fixed the send message bug that resulted in the same words (subject)
    being printed out over and over and over again
  * Added CGI scripts to make retrieval of individual bug reports realtime
  * Created upgrade notes from 2.2 to 2.3
  * Added a variable for where the "mailsummary" reports go
  * Added optional bug archiving for expired bugs
  * Added "fixed" to the default severities
  * Some scripts are now perl -w clean.
  * Added "severity display" to "Summary of outstanding reports" 
    (db/ix/summary.html and db/ix/psummary.html)
  * Added a variable to allow for a uniformed <BODY> and starting text tag
  * Send both message that closes and original bug to bug submitter
  * Fixed X-Debbugs-CC header
  * Improved ability to skip pgp signed and mime encoded messages when
    looking for commands (control@ and request@) and pseudo headers
    (submit@)
  * Cosmetic changes...

 -- Darren Benham <gecko@debian.org>  Tue, 27 Jul 1999 11:27:22 -0700

debbugs (2.2-3) unstable; urgency=low

  * Perl Depends change

 -- Darren Benham <gecko@debian.org>  Tue, 27 Jul 1999 11:27:22 -0700

debbugs (2.2-2) unstable; urgency=low

  * Added mailtools to dependency

 -- Darren Benham <gecko@debian.org>  Thu, 13 May 1999 13:13:15 -0700

debbugs (2.2-1) unstable; urgency=low

  * NATIVE Qmail (mailer) support!  No more "other MTA" needed
  	for Qmail users!
  * Improved sendmail support.
  * Changed lynx dependancies to simply "lynx"
  * fixed bad spelling in service script (fixes #36205)

 -- Darren Benham <gecko@debian.org>  Thu,  8 Apr 1999 16:00:32 -0700

debbugs (2.1-1) unstable; urgency=low

  * Added variable in "bad email" message (receive)
  * Fixed SUBSTITUTE_DTIME in main html pages
  * Changed crontab sample (had bad directories)
  * Added some documentation for MTA setup
  * Added support for sendmail
  * Removed use of btoa to move change around.  It's non-free.

 -- Darren Benham <gecko@debian.org>  Thu,  1 Apr 1999 14:17:01 -0800

debbugs (2.0-1) unstable; urgency=low

  * First public release of deb
  * Config modification implemented

 -- Darren Benham <gecko@debian.org>  Sat, 27 Mar 1999 10:37:37 -0800

debbugs (1.0-4) unstable; urgency=low

  * Tried a stopgap measure for config files

 -- Darren Benham <gecko@debian.org>  Mon, 15 Feb 1999 22:11:08 -0800

debbugs (1.0-3) unstable; urgency=low

  * $gListDomain yet again
  * removed nextnumber, config and text from deb for time bing

 -- Darren Benham <gecko@debian.org>  Wed, 10 Feb 1999 11:09:47 -0800

debbugs (1.0-2) unstable; urgency=low

  * internal release
  * fixed scripting bugs in list email

 -- Darren Benham <gecko@debian.org>  Wed, 10 Feb 1999 10:39:18 -0800

debbugs (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Thu, 21 Jan 1999 20:55:51 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "gecko@debian.org"
End:

=== debian/control ===
Source: debbugs
Section: misc
Priority: optional
Maintainer: Darren Benham <gecko@debian.org>
Standards-Version: 2.5.0.0

Package: debbugs
Architecture: all
Depends: perl|perl5, lynx, mail-transport-agent, mailtools
Recommends: httpd
Description: The bug tracking system based on the active Debian BTS
 This is an email based bug tracking system.  It is the same system used by
 the Debian Project (Debian uses v0.2).
 .
 This version does not autoconfig.  Read /usr/doc/debbugs/README.Debian
 after installing the deb.  This version is fully functional.  There might
 be some appearance issues where the a display variable doesn't expand as
 expected.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	#something to remove all *~ and trace and *.trace files
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#install the scripts
	cp scripts/age-1.in `pwd`/debian/tmp/usr/lib/debbugs/age-1
	cp scripts/db2html.in  `pwd`/debian/tmp/usr/lib/debbugs/db2html
	cp scripts/expire.in `pwd`/debian/tmp/usr/lib/debbugs/expire
	cp scripts/html-install.in `pwd`/debian/tmp/usr/lib/debbugs/html-install
	cp scripts/mailsummary.in `pwd`/debian/tmp/usr/lib/debbugs/mailsummary
	cp scripts/processall.in `pwd`/debian/tmp/usr/lib/debbugs/processall
	cp scripts/service.in `pwd`/debian/tmp/usr/lib/debbugs/service
	cp scripts/config.in `pwd`/debian/tmp/usr/share/doc/debbugs/examples/config
	cp scripts/text.in `pwd`/debian/tmp/usr/share/doc/debbugs/examples/text
	cp debian/crontab `pwd`/debian/tmp/usr/share/doc/debbugs/examples/crontab
	cp scripts/errorlib.in `pwd`/debian/tmp/usr/lib/debbugs/errorlib
	cp scripts/html-control.in `pwd`/debian/tmp/usr/lib/debbugs/html-control
	cp scripts/process.in `pwd`/debian/tmp/usr/lib/debbugs/process
	cp scripts/receive.in `pwd`/debian/tmp/usr/lib/debbugs/receive
	cp scripts/summary.in `pwd`/debian/tmp/usr/lib/debbugs/summary
	cp scripts/rebuild.in `pwd`/debian/tmp/usr/lib/debbugs/rebuild
#	cp scripts/changeaddr  `pwd`/debian/tmp/usr/lib/debbugs/changeaddr
#	cp scripts/initialise.out `pwd`/debian/tmp/usr/lib/debbugs/initialise
#	cp scripts/badness.out `pwd`/debian/tmp/usr/lib/debbugs/badness
	
	#install the text documents
	#install the html pages
	cp html/Access.html.in `pwd`/debian/tmp/etc/debbugs/html/Access.html
	cp html/Reporting.html.in `pwd`/debian/tmp/etc/debbugs/html/Reporting.html
	cp html/Developer.html.in `pwd`/debian/tmp/etc/debbugs/html/Developer.html
	cp html/index.html.in `pwd`/debian/tmp/etc/debbugs/html/index.html
	cp html/server-control.html.in `pwd`/debian/tmp/etc/debbugs/html/server-control.html
	cp html/server-request.html.in `pwd`/debian/tmp/etc/debbugs/html/server-request.html
	cp html/server-refcard.html.in `pwd`/debian/tmp/etc/debbugs/html/server-refcard.html
	cp html/lynx-cfg `pwd`/debian/tmp/etc/debbugs/lynx-cfg
	cp html/htaccess `pwd`/debian/tmp/var/lib/debbugs/www/db/.htaccess

	#install the text documents
	#later

	#install the CGI
	cp cgi/bugs-fetch2.pl.in `pwd`/debian/tmp/var/lib/debbugs/www/cgi/bugs-fetch2.pl
	cp cgi/cgi-lib.pl `pwd`/debian/tmp/var/lib/debbugs/www/cgi
	cp cgi/bugreport.cgi `pwd`/debian/tmp/var/lib/debbugs/www/cgi/.
	cp cgi/common.pl `pwd`/debian/tmp/var/lib/debbugs/www/cgi/.
	cp cgi/pkgreport.cgi `pwd`/debian/tmp/var/lib/debbugs/www/cgi/.
	cp debian/debbugsconfig `pwd`/debian/tmp/usr/sbin/debbugsconfig
	cp debian/debbugs-maketxt `pwd`/debian/tmp/usr/sbin/debbugs-maketxt

	#install the config files
	cp misc/Maintainers `pwd`/debian/tmp/etc/debbugs/.
	cp misc/pseudo-packages.description `pwd`/debian/tmp/etc/debbugs/.
	cp misc/nextnumber `pwd`/debian/tmp/usr/share/doc/debbugs/examples/.
	cp misc/updateseqs `pwd`/debian/tmp/var/lib/debbugs/spool/.

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress -X examples/text
	dh_fixperms
	#chown bugs.bugs `pwd`/debian/tmp/var/lib/debbugs/spool/incoming
	chmod 755 `pwd`/debian/tmp/var/lib/debbugs/www/cgi/bugs-fetch2.pl
	chmod 755 `pwd`/debian/tmp/var/lib/debbugs/www/cgi/cgi-lib.pl
	chmod a+rX,go-w,u+w -R `pwd`/debian/tmp/etc/debbugs/*
	chmod 644 `pwd`/debian/tmp/usr/lib/debbugs/errorlib
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debbugs 2.3-4

=== debian/changelog ===
debbugs (2.3-4) unstable; urgency=low

  * Added a check for unwanted characters in the part of request passed on
    to sendlynxdoc that gets passed to shell. [Josip]
  * Applied Rob Browning's patches to remove more Debian-only stuff,
    closes: #80077. [Josip]
  * Fixed the nextnumber misplacement (it should be in spool dir, not config
    dir), and added a note about running debbugsconfig after changes to
    config file, thanks to Rob for the hints. [Josip]
  * Changed Maintainer: to point to debian-debbugs. Added myself to
    Uploaders:. [Josip]
  * Fixed Lintian errors: file-in-etc-not-marked-as-conffile (except
    for lynx-cfg which is a gross hack anyway),
    virtual-package-depends-without-real-package-depends,
    debian-changelog-file-contains-user-emacs-settings.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Thu,  7 Feb 2002 17:30:17 +0100

debbugs (2.3-3) unstable; urgency=low

  * Fixed examples installation, debbugsconfig should actually work now,
    closes: #77126. [Josip]
  * Removed all traces of the package after purging, in postrm. [Josip]
  * Added pkgindex.cgi, package/maintainer/submitter indices. [Anthony]
  * Moved readparse to common.pl, since it's, well, common to all the cgi
    stuff. Other fixes in common.pl. [Anthony]
  * Moved some of the pkgreport.cgi logic from common.pl into pkgreport.cgi.
    [Anthony]
  * Random typo fixes in the CGIs. [Anthony]
  * Made the CGI scripts use the common.pl from their directory and not
    /usr/lib/debbugs nor ~ajt/newajbug. That stuff should actually _work_
    now, argh. [Josip]
  * Added bug subject and package name in closing messages. [Josip]
  * Fixed errorlib filename (removed the .in part), this stuff should
    actually _work_ now, argh. I shouldn't be repeating myself. [Josip]
  * Escape +'s in URLs, closes: #75220. [Anthony]
  * Skip checking for new installs or the config file, debbugsconfig needs
    to regenerate the HTML, and it will detect existing conffiles. [Josip]

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri,  1 Dec 2000 15:01:40 +0100

debbugs (2.3-2) unstable; urgency=low

  * Tweaks to the [pkg|bug]report.cgi scripts
  * Merged README and README.Debian (not quite yet)
  * Sundry of patchs from netgod.. see list archives for details :)
     + a bug report that's already been closed, it seems, #36147
     + the send|get command will accept two digits, closes: #39063
     + fixed reference to Debian in the copyright, closes: #39540
  * Provided a CNAME in control@ as well as submit@ for severity
  * mailsummary mails $gSummaryList@$gListDomain now, closes: #36181.
  * Ray's fixes are now included, one way or another, closes: #37210.
    A bug's severity is set to default one before trying to merge it,
    which fixes #47026 filed against bugs.debian.org, and closes: #50106.
  * The ACKs now clearly says which addresses should be mailed,
    closes: #48610.
  * Fixed how /usr/lib/debbugs is prepended to $PATH, closes: #63216.
  * The $gHTMLSeverityDesc variable is now properly terminated,
    closes: #67702.
  * Policy 3.2.1 compliance, includes Build-Depends: debhelper, which
    closes: #70356.
  * Doesn't install the Maintainers and pseudo-packages.description files
    in the /etc/debbugs directory, it instead copies it from templates if
    they don't exist, closes: #70749, #37120.
  * A `priority' command now handles severities, closes: #45818.
  * Fixes and additions to scripts by Adam Heath.
  * Fixes and several new features in the CGI scripts by Anthony Towns.
  * Small fixes and updates to scripts, build system and docs by Josip Rodin.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed,  8 Nov 2000 19:12:01 +0100

=== debian/control ===
Source: debbugs
Section: misc
Priority: optional
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Uploaders: Darren Benham <gecko@debian.org>, Josip Rodin <jrodin@jagor.srce.hr>
Standards-Version: 3.2.1
Build-Depends: debhelper

Package: debbugs
Architecture: all
Depends: perl5 | perl, exim | mail-transport-agent, mailtools, ed
Recommends: httpd, links | lynx
Description: The bug tracking system based on the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using WWW.
 .
 This version is fully functional, but it does not autoconfig, see
 /usr/share/doc/debbugs/README.Debian after installation.
 .
 Note: there might be some appearance issues where the a display variable
 doesn't expand as expected.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

tmp_dir		:= $(CURDIR)/debian/tmp

build:
# There is nothing to build here, so this rule can be left empty.

clean:
	dh_testdir
	dh_testroot
	#something to remove all trace and *.trace files?
	dh_clean build-stamp

binary-arch:
# nothing to do, as there aren't any architecture-dependent packages

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install_mostfiles DESTDIR=$(tmp_dir)
	dh_installdocs
	dh_installchangelogs
	dh_undocumented debbugsconfig.8
	dh_strip
	dh_compress -X examples/text
	dh_fixperms
	#chown bugs.bugs $(var_dir)/spool/incoming
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

## debbugs 2.4.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 var_dir		:= $(DESTDIR)/var/lib/debbugs
 scripts_dir	:= $(DESTDIR)/usr/lib/debbugs
 doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
+man_dir		:= $(DESTDIR)/usr/share/man
+man8_dir	:= $(man_dir)/man8
 examples_dir	:= $(doc_dir)/examples
 
 scripts_in	:= $(filter-out scripts/config.in scripts/errorlib.in scripts/text.in, $(wildcard scripts/*.in))
@@ -24,10 +26,10 @@
 
 install_mostfiles:
 	# create the directories if they aren't there
-	for dir in $(sbin_dir) $(etc_dir)/html $(var_dir)/indices \
-$(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt $(var_dir)/spool/lock \
-$(var_dir)/spool/archive $(var_dir)/spool/incoming $(var_dir)/spool/db \
-$(scripts_dir) $(examples_dir); \
+	for dir in $(sbin_dir) $(etc_dir)/html $(etc_dir)/indices \
+$(var_dir)/indices $(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt \
+$(var_dir)/spool/lock $(var_dir)/spool/archive $(var_dir)/spool/incoming \
+$(var_dir)/spool/db-h $(scripts_dir) $(examples_dir) $(man8_dir); \
           do test -d $$dir || $(install_exec) -d $$dir; done
 
 	# install the scripts
@@ -38,11 +40,11 @@
 	$(install_data) scripts/config.in $(examples_dir)/config
 	$(install_data) scripts/text.in $(examples_dir)/text
 	$(install_data) debian/crontab misc/nextnumber misc/Maintainers \
-          misc/pseudo-packages.description $(examples_dir)
+	  misc/Maintainers.override misc/pseudo-packages.description \
+	  misc/sources $(examples_dir)
 
 	# install the HTML pages etc
 	$(foreach html, $(htmls_in), $(install_data) $(html) $(etc_dir)/html;)
-	$(install_data) html/lynx-cfg $(etc_dir)/html/lynx-cfg
 	$(install_data) html/htaccess $(var_dir)/www/db/.htaccess
 
 	# install the CGIs
@@ -51,6 +53,10 @@
 
 	# install debbugsconfig
 	$(install_exec) debian/debbugsconfig $(sbin_dir)
+	$(install_data) debian/debbugsconfig.8 $(man8_dir)
+	# install the debbugs-dbhash migration tool
+	$(install_exec) migrate/debbugs-dbhash $(sbin_dir)
+	$(install_data) migrate/debbugs-dbhash.8 $(man8_dir)
 
 	# install the updateseqs file
 	$(install_data) misc/updateseqs $(var_dir)/spool

=== debian/changelog ===
debbugs (2.4.1) unstable; urgency=low

  * Colin Watson:
    - Exit the CGI scripts straight away if the HTTP method is HEAD, to save
      pointless work.
    - Display pending+fixed bugs as "fixed in NMU", not "pending upload".
    - Add a man page for debbugsconfig.
    - Report original tags when changing them, closes: #170630.
    - Add missing <ul></ul> tags to db2html's output, closes: #50746.
    - Add a 'submitter' command to service, based on a patch by Matt Kraai.
    - Remove the final use of cgi-lib.pl, so it's gone. Remove copyright
      notices that were there due to using it.
    - Accept ';' as well as '&' as a CGI argument separator.
    - db2html now works with the new hashed database layout.
    - Disable the fixed severity in favour of the tag.
    - MIME-encoded messages to bugs are displayed in decoded form on the web
      interface (unless the "mime=no" parameter is used), closes: #136114.
    - Add facility to search by tag.
    - Fix rebuild script and add it to the example crontab, closes: #139696.
    - Silence postinst warning if spool/db doesn't exist, closes: #194892.
    - Clean up the definition and use of $gCGIDomain, closes: #139697.
  * Adam Heath:
    - Convert all code to use global read/write functions, instead of having
      it duplicated everywhere.
    - Trim trailing whitespace from pseudoheader values.  Closes: #153590.
    - Warn when reassigning to an unknown package.  Closes: #60595.
  * Josip Rodin:
    - Added a terse=yes mode for bugreport.cgi, possibly useful for
      monstrously long bugs.
    - Purged needless date(1) forks, replaced with strftime.

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 Jun 2003 09:25:30 +0100

debbugs (2.4) experimental; urgency=low

  * Updating the package with what's in CVS, even though this might
    completely break things for people who've been using the previous also
    broken package. <shrug> :) Upped the minor version since the changes
    are noticeable, and uploaded to experimental, just in case.
  * Applied speedup patch, that uses references, instead of copies.
    Thanks to Thomas Smith. Closes: #87176. [Adam]
  * Reverted some parts of the speedup patch because it breaks the API.
    [Anthony]
  * Bugs that are tagged fixed are now listed in a separate section in the
    web pages. Patch from Colin Watson. Closes: #86922. [Adam]
  * Added support for an additional Maintainers.override file, which is read
    after the normal one. This allows the normal one to be externally
    updated, but still have local overrides. [Adam]
  * Put <title> and </title> on the same line as the title since some lame
    browsers don't seem to like it otherwise. [Josip]
  * Include a mailto: URI in the header for a bug report. [Adam]
  * Added support for filtering on subject with include=subj:foo (exact
    match, case sensitive). [Anthony]
  * Added a missing http://, thanks to Julian Gilbey. [Anthony]
  * Use by-*.idx indices to speed up pkgreport.cgi. [Anthony]
  * Support "maint=" in pkgreport to give packages without a maintainer.
    [Anthony]
  * Updated Postfix documentation. [Darren]
  * Use two variables in order to reduce the amount of path hard-coding.
  * Added support for storing the files in a hashed directory (db-h), with
    the same hash layout as archive/. [Adam]
  * Added support for tracing of bug state changes. This date is in
    $gSpoolDir/debbugs.trace. It is locked (as debbugs.trace.lock) while
    accessed, and appended to. Currently, nothing uses this trace file and
    it isn't even cleaned up, which can be easily fixed with a simple cron
    job. [Adam]
  * Tell sendmail to queue outgoing mail for later delivery, instead of
    immediate delivery. [Adam]
  * Added a keywords header to outgoing email responses. [Adam]
  * Use Resent-From: if From: doesn't exist. [Adam]
  * Added appropriate Reply-To: lines for the ACK messages that could use
    them. [Josip]
  * Add $gUnknownMaintainerEmail to the list of maintainers to mail in case
    an package with no maintainer is referenced. [Adam]
  * processall locks 'incoming-cleaner' before starting, so we don't have
    multiple copies of it running at the same time. [Adam]
  * Sort bugs tagged 'pending' as 'pending upload', between 'forwarded' and
    'fixed'. [Adam]
  * Add support for searching by source package.  pkgreport.cgi takes src=,
    and both pkgreport.cgi and bugreport.cgi have enhanced HTML headers now.
    [Adam]
  * Add support in the CGIs for:
    * 'raw' sorting. This does no grouping based on status or severity, and
      just lists bugs in number order.
    * reversing the order that bugs are displayed. This does not affect
      severity or status ordering.
    * inclusions/exclusions of status and severity. Also, support reverse
      sorting of the above.
  * Make it possible to ban people from control@bugs. [Anthony]
  * Don't lie about missing Subject:s being an RFC822 violation, because
    they aren't. [Anthony, Josip]
  * Added preliminary support for ###-request. [Adam]
  * Added preliminary fast indexing support. [Adam/Anthony (?)]
  * Added preliminary support for CC:ing <src>@packages.qa.debian.org.
    [Anthony]
  * Added preliminary cloning support. [Anthony]
  * Link to submitter's web page, patch from Matt Kraai. [Josip]
  * The autoconfig thing in the description is gone, closes: #124537.
  * Fix viewing archived bugs by source package, closes: #121082, #146484.
    [Colin]
  * Depends: libmailtools-perl rather than mailtools, closes: #113028.
  * Add MIME support to process and service, and depend on libmime-perl as a
    result, closes: #36813. [Colin]
  * Trim Bug#12345: from the Subject:, not "Bug#12345: [", closes: #78123.
    [Anthony]
  * Be more careful about loop detection, closes: #113514. [Adam, Colin]
  * Relax the syntax for 'tags' slightly, since people seem to use it that
    way accidentally a lot, closes: #96164. [Colin]


=== debian/control ===
Source: debbugs
Section: misc
Priority: optional
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Uploaders: Josip Rodin <jrodin@jagor.srce.hr>, Colin Watson <cjwatson@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: debhelper

Package: debbugs
Architecture: all
Depends: perl5 | perl, exim | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
Recommends: httpd, links | lynx
Description: The bug tracking system based on the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This version is fully functional, but it does not automatically configure.
 See /usr/share/doc/debbugs/README.Debian after installation.
 .
 Note: there might be various issues with this package, caveat emptor.

## debbugs 2.4.1ubuntu1

=== debian/changelog ===
debbugs (2.4.1ubuntu1) jaunty; urgency=low

  * Prefer postfix as MTA as is the Ubuntu way.

 -- James Westby <james.westby@canonical.com>  Wed, 21 Jan 2009 11:21:11 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: debbugs
 Architecture: all
-Depends: perl5 | perl, exim | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
+Depends: perl5 | perl, postfix | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
 Recommends: httpd, links | lynx
 Description: The bug tracking system based on the active Debian BTS
  Debian has a bug tracking system which files details of bugs reported by

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 	$(MAKE) install_mostfiles DESTDIR=$(tmp_dir)
 	dh_installdocs
 	dh_installchangelogs
-	dh_undocumented debbugsconfig.8
 	dh_strip
 	dh_compress -X examples/text
 	dh_fixperms

## debbugs 2.4.1.1

=== debian/changelog ===
debbugs (2.4.1.1) unstable; urgency=medium

  * Move examples out of /usr/share/doc/debbugs/examples which are parsed
    in postinst to /usr/share/debbugs/examples. Thanks to Vagrant
    Cascadian for the patch. (Closes: #775053).

 -- Don Armstrong <don@debian.org>  Wed, 04 Feb 2015 18:04:08 -0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
-Uploaders: Josip Rodin <jrodin@jagor.srce.hr>, Colin Watson <cjwatson@debian.org>
+Uploaders: Don Armstrong <don@debian.org>
 Standards-Version: 3.2.1
 Build-Depends-Indep: debhelper
 
 Package: debbugs
 Architecture: all
-Depends: perl5 | perl, postfix | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
+Depends: perl5 | perl, exim | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
 Recommends: httpd, links | lynx
 Description: The bug tracking system based on the active Debian BTS
  Debian has a bug tracking system which files details of bugs reported by

## debbugs 2.4.1.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
 man_dir		:= $(DESTDIR)/usr/share/man
 man8_dir	:= $(man_dir)/man8
-examples_dir	:= $(doc_dir)/examples
+examples_dir	:= $(DESTDIR)/usr/share/debbugs/examples
 
 scripts_in	:= $(filter-out scripts/config.in scripts/errorlib.in scripts/text.in, $(wildcard scripts/*.in))
 htmls_in	:= $(wildcard html/*.html.in)

=== debian/changelog ===
debbugs (2.4.1.1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Depends on default-mta instead exim.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 07 Feb 2015 22:34:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: debbugs
 Section: misc
 Priority: optional
-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
 Uploaders: Don Armstrong <don@debian.org>
 Standards-Version: 3.2.1
 Build-Depends-Indep: debhelper
 
 Package: debbugs
 Architecture: all
-Depends: perl5 | perl, exim | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
+Depends: perl5 | perl, default-mta | mail-transport-agent, libmailtools-perl, ed, libmime-perl, libio-stringy-perl
 Recommends: httpd, links | lynx
 Description: The bug tracking system based on the active Debian BTS
  Debian has a bug tracking system which files details of bugs reported by

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	$(MAKE) install_mostfiles DESTDIR=$(tmp_dir)
 	dh_installdocs
 	dh_installchangelogs
+	dh_link usr/share/debbugs/examples usr/share/doc/debbugs/examples
 	dh_strip
 	dh_compress -X examples/text
 	dh_fixperms

## debbugs 2.4.2~exp1

=== Makefile ===
# top-level Makefile for debbugs
# probably requires GNU make to run properly

sbin_dir	:= $(DESTDIR)/usr/sbin
etc_dir		:= $(DESTDIR)/etc/debbugs
var_dir		:= $(DESTDIR)/var/lib/debbugs
scripts_dir	:= $(DESTDIR)/usr/lib/debbugs
perl_dir	:= $(DESTDIR)/usr/share/perl5/Debbugs
doc_dir		:= $(DESTDIR)/usr/share/doc/debbugs
templates_dir	:= $(DESTDIR)/usr/share/debbugs/templates
man_dir		:= $(DESTDIR)/usr/share/man
man8_dir	:= $(man_dir)/man8
examples_dir	:= $(doc_dir)/examples

scripts_in	= $(foreach script, $(filter-out scripts/config% scripts/errorlib scripts/text, $(wildcard scripts/*)),$(patsubst scripts/%,%,$(script)))
htmls_in	:= $(wildcard html/*.html.in)
cgis		:= $(wildcard cgi/*.cgi cgi/*.pl)

# We use the Makefile.PL to install these; not totally decided if we
# should switch entirely to this model.
#perls		:= $(shell find Debbugs -type f -iname '*.pm')

install_exec	:= install -m755 -p
install_data	:= install -m644 -p

PERL ?= /usr/bin/perl

all: build test

build:
	$(PERL) Makefile.PL
	$(MAKE) -f Makefile.perl

test:
	$(PERL) -MTest::Harness -I. -e 'runtests(glob(q(t/*.t)))'

clean:
	if [ -e Makefile.perl ]; then \
		$(MAKE) -f Makefile.perl clean; \
	fi;

install: install_mostfiles
	# install basic debbugs documentation
	$(install_data) COPYING UPGRADE README debian/README.mail $(doc_dir)

	# configure debbugs
	$(sbin_dir)/debbugsconfig

install_mostfiles:
	# create the directories if they aren't there
	for dir in $(sbin_dir) $(etc_dir)/html $(etc_dir)/indices \
$(var_dir)/indices $(var_dir)/www/cgi $(var_dir)/www/db $(var_dir)/www/txt \
$(var_dir)/spool/lock $(var_dir)/spool/archive $(var_dir)/spool/incoming \
$(var_dir)/spool/db-h $(scripts_dir) $(examples_dir) $(man8_dir); \
          do test -d $$dir || $(install_exec) -d $$dir; done
# we shouldn't ship db-h spool directories
	# make db-h spool dirs if they don't exist
#	cd $(var_dir)/spool/db-h; \
#	  for dir in $(shell seq -w 00 99); \
#	    do test -d $$dir || $(install_exec) -d $$dir; done


	# install the scripts
	$(foreach script,$(scripts_in), $(install_exec) scripts/$(script) $(scripts_dir);)
	$(install_data) scripts/errorlib $(scripts_dir)/errorlib

	# install examples
	$(install_data) scripts/config $(examples_dir)/config
	$(install_data) scripts/config.debian $(examples_dir)/config.debian
	$(install_data) scripts/text $(examples_dir)/text
	$(install_data) debian/crontab misc/nextnumber misc/Maintainers \
	  misc/Maintainers.override misc/pseudo-packages.description \
	  misc/sources $(examples_dir)
	$(install_data) examples/apache.conf $(examples_dir)

	# install the HTML pages etc
	$(foreach html, $(htmls_in), $(install_data) $(html) $(etc_dir)/html;)
	$(install_data) html/htaccess $(var_dir)/www/db/.htaccess
	$(install_data) html/bugs.css $(var_dir)/www/bugs.css

	# install the CGIs
	for cgi in $(cgis); do $(install_exec) $$cgi $(var_dir)/www/cgi; done
	$(install_exec) cgi/bugs-fetch2.pl $(var_dir)/www/cgi/bugs-fetch2.pl

#	# install Perl modules
#	for perl in $(perls); do $(install_data) $$perl $(perl_dir); done
	# Make documentation for the perl modules


	# install debbugsconfig
	$(install_exec) debian/debbugsconfig $(sbin_dir)
	$(install_data) debian/debbugsconfig.8 $(man8_dir)
	# install migration tools
	$(install_exec) migrate/debbugs-dbhash $(sbin_dir)
	$(install_data) migrate/debbugs-dbhash.8 $(man8_dir)
	$(install_exec) migrate/debbugs-upgradestatus $(sbin_dir)

	# install the updateseqs file
	$(install_data) misc/updateseqs $(var_dir)/spool

	# install the templates
	$(foreach dir, $(wildcard templates/*/*), $(exec -d $(install_exec) $(template_dir)/$(patsubst templates/%,%,$(dir))))
	$(foreach tmpl, $(wildcard templates/*/*/*.tmpl), $(exec $(install_data) $(tmpl) $(template_dir)/$(patsubst templates/%,%,$(tmpl))))


.PHONY: test build

=== debian/changelog ===
debbugs (2.4.2~exp1) experimental; urgency=low

  * Allow (almost) exactly what RFC2822 allows in comments (closes:
    #497144)
  * Fix problem with non-existant /etc/debbugs/config
  * Ditch \r and \n in status fields (closes: #545895)
  * Properly handle source packages when searching by maintainer; use
    package_maintainer instead of the hashes (closes: #556863)
  * Handle \r properly in Debbugs::MIME for PGP signatures
    (closes: #565981). Thanks to Mike Hommey
  * Allow type to be text as well as text/(something not html)
    (closes: #566068). Thanks to Mike Hommey.
  * Fix links to PTS pages for src packages (closes: #566089). Thanks to
    Sandro Tosi.
  * Fix affects for source packages (closes: #563470). Thanks to Charles
    Plessy.
  * Allow tag instead of tags; silently normalize it (closes: #567407).
    Thanks to Martin Krafft.
  * Properly handle Forwarded: at submit@ time (closes: #568020). Thanks
    to Martin Krafft.
  * Fix source package src: urls (closes: #567439). Thanks to Paul Wise.
  * Use package_maintainer to search for packages maintained by a
    maintainer (closes: #556863). Thanks to Yves-Alexis Perez.
  * Linkify CVE reports (closes: #568464). Thanks to Martin Zobel-Helas.
  * Fix noaffects option
  * Allow the default sendmail options to be specified in the config file;
    don't use -obq by default anymore.
  * Add urls to control@ mail footer (Closes: #578822). Thanks to Lars
    Wirzenius
  * Don't RFC1522 escape ", ( and ). (Closes: #588859). Thanks to Glenn
    Morris
  * Various changes to make debbugs-local work better (Closes: #585796) 
    - Add libnet-server-fork-perl to Depends for debbugs-local
    - Sanitize env in -T code

 -- Don Armstrong <don@debian.org>  Thu, 05 Aug 2010 21:54:12 -0700

debbugs (2.4.2~exp0) experimental; urgency=low

  [ Anthony Towns ]
  * Add "package" command to service (control@) to limit the bugs that
    the following commands apply to.

  [ Colin Watson ]
  * Add (slightly) fancy CGI decoding of message/* MIME types.
  * CGI scripts now support multiple maintainers for a single package.
  * Add support for an X-Debbugs-No-Ack: mail header to suppress
    acknowledgements.
  * Document how to deliver mail to debbugs via procmail and SpamAssassin.
  * Implement new .status format that's extensible and easier to read; it
    now lives in .summary rather than .status. Use debbugs-upgradestatus
    to convert existing bug databases.
  * Implement bug ownership, with new 'owner' and 'noowner' commands and
    Owner: pseudo-header (closes: #133453).
  * Install Debian configuration in the binary package's examples
    directory (closes: #222118).
  * New standalone SpamAssassin queue runner, spamscan.
  * Allow # prefix on bug numbers in 'merge' command.
  * Fix some ordering issues in old-style package pages and summaries.
  * Add X-$gProject-PR-Message: headers to all mails sent by service.
  * debbugsconfig creates required directories in $gSpoolDir
    (closes: #222077).
  * Decode RFC1522 mail headers for display in the web interface.
    bugreport.cgi and pkgreport.cgi now output UTF-8.
  * Properly support multiple submitter addresses on a single bug.
  * Add a number of extra htmlsanit() calls to prevent cross-site
    scripting attacks.

  [ Adam Heath ]
  * Rewrite filtering in cgi's common.pl, to make it completely generic.
    Filtering can now work against any field.
  * Rewrite grouping logic in cgi's common.pl, to make it completely
    generic.  There is now no longer 2 nested loops, to do the grouping.
    This makes adding new grouping levels simpler for the future.
  * Add in a Table of Contents to pkgreport.cgi.
  * Display how long until a resolved bug will be archived in
    pkgreport.cgi.
  * Add user-agent detection.  This currently doesn't change anything,
    however.
  * Add options show_list_(head|foot)er.

  [ Don Armstrong ]
  * Don't remove the maintainer address if the message was sent by the
    maintainer and we're submitting to maintonly (closes: #140061)
  * Use uri_escape to escape URI's before sending them back out so the
    name of the file doesn't munge the query string. [#301606 pt. 1]
  * call decode_rfc1522 on the filename returned so that encoded
    filenames get decoded to something "reasonable." (closes: #301606)
  * We now require URI::Escape
  * Added apache.conf to examples, which is a sample apache
    configuration file which implements the rewrite rules that are
    currently used on bugs.debian.org. (closes: #222264)
  * Change spamscan.in to work with SA 3.0; This is an incompatible
    change with SA 2.6, and as such, we now Suggests: spamassassin 
    (>=3.0) (closes: #290501)
  * Update MTA to exim4 (closes: #228597) and add instructions on using
    exim 4 (thanks to Marc Haber) (closes: #248335)
  * Added per bug subscription support to debbugs, which relies on an
    external MLM to actually deal with the requests; currently works with
    eoc and sends messages to bugnum\@$gListDomain. (closes: #34071)
  * Change bugreport.cgi to use Debbugs::Log and greately simplify the
    process of outputing the bug log.
  * All RFC1522 subject lines are decoded, both in the html information
    and the message headers. All messages are converted to UTF-8 whereever
    possible; all bugreport.cgi pages are now completely in UTF-8 to the
    degree possible using Encode.pm (closes: #46848,#238984)
  * Add a convert_to_utf8 function to Debbugs::Mime to make the above
    possible; abstracts functionality that was already present in the
    decode_rfc1522 fucntionality.
  * Individual messages can now be downloaded from each bug report
    (closes: #95373)
  * Uninteresting headers are now hidden by default, can be renabled
    with &trim=no (closes: #188561)
  * Fix postfix instructions in README.mail (thanks to Jeff Teunissen)
    (closes: #134166)
  * Display old severity when changing severity (closes: #196947)


=== debian/control ===
Source: debbugs
Section: misc
Priority: extra
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Don Armstrong <don@debian.org>
Standards-Version: 3.8.2
Vcs-Bzr: http://bugs.debian.org/debbugs-source/mainline
Vcs-Browser: http://bugs.debian.org/debbugs-source/mainline
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: libparams-validate-perl,
 libmailtools-perl, libmime-tools-perl, libio-stringy-perl, libmldbm-perl,
 liburi-perl, libsoap-lite-perl, libcgi-simple-perl,
 libhttp-server-simple-perl, libtest-www-mechanize-perl,
 libmail-rfc822-address-perl, libsafe-hole-perl, libuser-perl,
 libconfig-simple-perl, libtest-pod-perl, liblist-moreutils-perl,
 libtext-template-perl

Package: debbugs
Architecture: all
Depends: ${perl:Depends}, exim4 | mail-transport-agent,
 libdebbugs-perl
Recommends: debbugs-web
Suggests: spamassassin (>= 3.0), libcgi-alert-perl
Description: The bug tracking system based on the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This version is fully functional, but it does not automatically configure.
 See /usr/share/doc/debbugs/README.Debian after installation.
 .
 Note: there might be various issues with this package, caveat emptor.

Package: libdebbugs-perl
Architecture: all
Depends: ${perl:Depends}, libmailtools-perl, ed, libmime-tools-perl,
 libio-stringy-perl, libmldbm-perl, liburi-perl, libsoap-lite-perl,
 libcgi-simple-perl, libparams-validate-perl, libtext-template-perl,
 libsafe-hole-perl, libmail-rfc822-address-perl, liblist-moreutils-perl,
 libtext-template-perl
Section: perl
Description: modules used by the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This package contains the perl modules used by the bug tracking
 system, some of which may be suitable for custom scripts which
 interact with local debbugs mirrors.

Package: debbugs-web
Architecture: all
Depends: libdebbugs-perl, apache | httpd
Suggests: libcgi-alert-perl
Description: web scripts for the active Debian BTS
 Debian has a bug tracking system which files details of bugs reported by
 users and developers. Each bug is given a number, and is kept on file until
 it is marked as having been dealt with. The system is mainly controlled by
 e-mail, but the bug reports can be viewed using the WWW.
 .
 This package contains the cgi scripts necessary to view bugreports
 using the web.

Package: debbugs-local
Architecture: all
Depends: libdebbugs-perl, debbugs-web, libconfig-simple-perl,
 libuser-perl, rsync, libhttp-server-simple-perl, libnet-server-perl
Description: run and maintains a local mirror of the Debian BTS
 Debian has a bug tracking system which files details of bugs reported
 by users and developers. Each bug is given a number, and is kept on
 file until it is marked as having been dealt with. The system is
 mainly controlled by e-mail, but the bug reports can be viewed using
 the WWW.
 .
 This package contains extra scripts necessary to create a local
 mirror of the Debian BTS and keep a local mirror up to date.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEST_DIR := $(CURDIR)/debian/tmp
PERL ?= /usr/bin/perl


build: build-stamp
build-stamp:
# Call the test suite
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) -f Makefile.perl
	$(MAKE) test
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp;
	if [ -e Makefile.perl ]; then  \
		$(MAKE) -f Makefile.perl clean; \
	fi;
	#something to remove all trace and *.trace files?
	rm -f debbugs.trace Makefile.perl.old
	dh_clean

install: install-stamp
install-stamp: build
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install_mostfiles DESTDIR=$(DEST_DIR)
	$(MAKE) -f Makefile.perl install PREFIX=$(DEST_DIR)/usr
	touch $@

binary-arch:
# nothing to do, as there aren't any architecture-dependent packages

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install_mostfiles DESTDIR=$(DEST_DIR)
	$(MAKE) -f Makefile.perl install PREFIX=$(DEST_DIR)/usr
	dh_install --sourcedir=debian/tmp --fail-missing
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_fixperms
	#chown bugs.bugs $(var_dir)/spool/incoming
	dh_installdeb
	dh_perl
	dh_compress -X examples/text
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary
